diff --git a/spec/multi_json_spec.rb b/spec/multi_json_spec.rb
index 2df3350..9d2a376 100644
--- a/spec/multi_json_spec.rb
+++ b/spec/multi_json_spec.rb
@@ -13,13 +13,17 @@ end
 describe "MultiJson" do
   context 'engines' do
     it 'should default to the best available gem' do
+      begin
       require 'yajl'
       MultiJson.engine.name.should == 'MultiJson::Engines::Yajl'
+      rescue LoadError
+        pending "YAJL (or a dependency) not available."
+      end
     end
 
     it 'should be settable via a symbol' do
-      MultiJson.engine = :yajl
-      MultiJson.engine.name.should == 'MultiJson::Engines::Yajl'
+      MultiJson.engine = :json_pure
+      MultiJson.engine.name.should == 'MultiJson::Engines::JsonPure'
     end
     
     it 'should be settable via a class' do
